<?php
//about theme info
add_action( 'admin_menu', 'optical_lens_shop_gettingstarted' );
function optical_lens_shop_gettingstarted() {
	add_theme_page( esc_html__('About Optical Lens Shop ', 'optical-lens-shop'), esc_html__('About Optical Lens Shop ', 'optical-lens-shop'), 'edit_theme_options', 'optical_lens_shop_guide', 'optical_lens_shop_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function optical_lens_shop_admin_theme_style() {
	wp_enqueue_style('optical-lens-shop-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('optical-lens-shop-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'optical_lens_shop_admin_theme_style');

//guidline for about theme
function optical_lens_shop_mostrar_guide() { 
	//custom function about theme customizer
	$optical_lens_shop_return = add_query_arg( array()) ;
	$optical_lens_shop_theme = wp_get_theme( 'optical-lens-shop' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to Optical Lens Shop ', 'optical-lens-shop' ); ?> <span class="version"><?php esc_html_e( 'Version', 'optical-lens-shop' ); ?>: <?php echo esc_html($optical_lens_shop_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','optical-lens-shop'); ?></p>
    </div>

    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="optical_lens_shop_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'optical-lens-shop' ); ?></button>
			<button class="tablinks" onclick="optical_lens_shop_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'optical-lens-shop' ); ?></button>
		</div>

		<?php
			$optical_lens_shop_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$optical_lens_shop_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = Optical_Lens_Shop_Plugin_Activation_Settings::get_instance();
				$optical_lens_shop_actions = $plugin_ins->recommended_actions;
				?>
				<div class="optical-lens-shop-recommended-plugins">
				    <div class="optical-lens-shop-action-list">
				        <?php if ($optical_lens_shop_actions): foreach ($optical_lens_shop_actions as $key => $optical_lens_shop_actionValue): ?>
				                <div class="optical-lens-shop-action" id="<?php echo esc_attr($optical_lens_shop_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($optical_lens_shop_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($optical_lens_shop_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($optical_lens_shop_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','optical-lens-shop'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($optical_lens_shop_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'optical-lens-shop' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('The Optical Lens Shop WordPress Theme is a highly versatile and customizable website template designed for businesses that specialize in eye care, glasses, lenses, and related medical services. This theme is a perfect choice for optometrists, ophthalmologists, eye clinics, opticians, hospitals, and other medical or hospital-related websites. The theme has a modern and clean design that is easy on the eyes and provides a professional look to your website. The theme features a prominent slider on the homepage that can be used to highlight your services, products, or promotions. You can also add call-to-action buttons to the slider, which can be linked to any page on your website, making it easy for users to navigate to specific sections. Furthermore, the Optical Lens Shop Theme has a range of customization options that allow you to modify the colors, fonts, and layouts of your website. The theme also comes with several pre-built templates that can be easily customized to meet your specific needs. You can add your logo, change the background color or image, and add custom widgets to the footer or sidebar. The theme is fully responsive, ensuring that your website will look great on all devices, including desktops, laptops, tablets, and mobile phones. It is also compatible with all major web browsers, including Chrome, Firefox, Safari, and Internet Explorer.','optical-lens-shop'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'optical-lens-shop' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'optical-lens-shop' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( OPTICAL_LENS_SHOP_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'optical-lens-shop' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'optical-lens-shop'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'optical-lens-shop'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'optical-lens-shop'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'optical-lens-shop'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'optical-lens-shop'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( OPTICAL_LENS_SHOP_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'optical-lens-shop'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'optical-lens-shop'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'optical-lens-shop'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( OPTICAL_LENS_SHOP_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'optical-lens-shop'); ?></a>
					</div>

					<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'optical-lens-shop' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','optical-lens-shop'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','optical-lens-shop'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-slides"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_slidersettings') ); ?>" target="_blank"><?php esc_html_e('Slider Settings','optical-lens-shop'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_products_section') ); ?>" target="_blank"><?php esc_html_e('Products Section','optical-lens-shop'); ?></a>
								</div>
							</div>
						
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','optical-lens-shop'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','optical-lens-shop'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','optical-lens-shop'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','optical-lens-shop'); ?></a>
								</div>
							</div>
						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','optical-lens-shop'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','optical-lens-shop'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','optical-lens-shop'); ?></span><?php esc_html_e(' Go to ','optical-lens-shop'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','optical-lens-shop'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','optical-lens-shop'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','optical-lens-shop'); ?></span><?php esc_html_e(' Go to ','optical-lens-shop'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','optical-lens-shop'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','optical-lens-shop'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','optical-lens-shop'); ?> <a class="doc-links" href="<?php echo esc_url( OPTICAL_LENS_SHOP_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','optical-lens-shop'); ?></a></p>
			  	</div>
			</div>
		</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Optical_Lens_Shop_Plugin_Activation_Settings::get_instance();
			$optical_lens_shop_actions = $plugin_ins->recommended_actions;
			?>
				<div class="optical-lens-shop-recommended-plugins">
				    <div class="optical-lens-shop-action-list">
				        <?php if ($optical_lens_shop_actions): foreach ($optical_lens_shop_actions as $key => $optical_lens_shop_actionValue): ?>
				                <div class="optical-lens-shop-action" id="<?php echo esc_attr($optical_lens_shop_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($optical_lens_shop_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($optical_lens_shop_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($optical_lens_shop_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'optical-lens-shop' ); ?></h3>
				<hr class="h3hr">
				<div class="optical-lens-shop-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','optical-lens-shop'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'optical-lens-shop' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','optical-lens-shop'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','optical-lens-shop'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','optical-lens-shop'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','optical-lens-shop'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=optical_lens_shop_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','optical-lens-shop'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','optical-lens-shop'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>
			<?php } ?>
		</div>

	</div>
</div>

<?php } ?>